// Declare variables for rectangle size
let rectWidth = 25;
let rectHeight = 25;

function setup() {
  createCanvas(800, 600);  // Create a canvas of 800x600 pixels
  background(255);  // Set the background color to white
}

function draw() {
  // Draw a rectangle with the current variable values
  rect(25, 50, rectWidth, rectHeight);
  
  // Log the variable to the console (to check its value)
  console.log(rectWidth);
  
  // Draw another rectangle with modified dimensions
  rect(100, 100, rectWidth + 50, rectHeight + 50);
  
  // Draw a circle (ellipse) with a fixed position
  ellipse(400, 300, 100, 100);
  
  // Draw a triangle with specific coordinates
  triangle(500, 100, 600, 200, 700, 100);
  
  // Draw a line between two points
  line(100, 400, 500, 400);
  
  // Draw an arc (semi-circle)
  arc(600, 500, 100, 100, 0, PI);
  
  // Set the fill color to red for future shapes
  fill(255, 0, 0);
  
  // Draw a filled rectangle
  rect(600, 100, 150, 100);
  
  // Set a random fill color for a new rectangle
  fill(random(255), random(255), random(255));
  
  // Draw another rectangle with random color
  rect(200, 450, 150, 100);
  
  // Uncomment below line to use random position for a shape (if needed)
  // drawShape(rectWidth, rectHeight);
}

// Function to draw a shape at a random position
function drawShape(rectangleWidth, rectangleHeight) {
  let xPos = random(0, width);  // Random X position
  let yPos = random(0, height); // Random Y position
  rect(xPos, yPos, rectangleWidth, rectangleHeight); // Draw the rectangle at random position
}
